<template>
	<div id="film-list" class="flex-container">
		<div
			class="film"
			v-for="film in films"
			v-bind:key="film.id"
		>
			<img :src="require(`@/assets/images/${film.path}`)" alt="film">
		</div>
	</div>
</template>

<script>
export default {
	name: "filmList",
	props: {
		films: {
			type: Array,
			required: true,
		},
		// path: String,
	},
}
</script>

<style scoped>
	#film-list {
		width: 1440px;
		margin: 0 auto;
	}

	.flex-container {
		display: flex;
		justify-content: space-between;
		align-items: center;
	}

</style>